Imports System
Imports System.Data
Imports Telerik.WebControls


Partial Class VB_Version_DynamicallyCreatedTableVB
    Inherits System.Web.UI.Page

    Private Function CreateTestTable() As DataTable
        Dim table As New DataTable()

        table.Columns.Add("ID")
        table.Columns.Add("ParentID")
        table.Columns.Add("Text")
        table.Columns.Add("URL")
        table.Columns.Add("Tooltip")

        table.Rows.Add(New String() {"1", Nothing, "root 1", "root1.aspx", "root 1 tooltip"})
        table.Rows.Add(New String() {"2", Nothing, "root 2", "root2.aspx", "root 1 tooltip"})
        table.Rows.Add(New String() {"3", "1", "child 1.1", "child11.aspx", "child 1.1 tooltip"})
        table.Rows.Add(New String() {"4", "1", "child 1.2", "child12.aspx", "child 1.2 tooltip"})
        table.Rows.Add(New String() {"5", "1", "child 1.3", "child13.aspx", "child 1.3 tooltip"})
        table.Rows.Add(New String() {"6", "5", "child 1.3.1", "child131.aspx", "child 1.3.1 tooltip"})
        table.Rows.Add(New String() {"7", "5", "child 1.3.2", "child132.aspx", "child 1.3.2 tooltip"})
        table.Rows.Add(New String() {"8", "5", "child 1.3.3", "child133.aspx", "child 1.3.3 tooltip"})

        Return table
    End Function 'CreateTestTable

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            'Menu
            RadMenu1.DataSource = CreateTestTable()
            RadMenu1.DataFieldID = "ID"
            RadMenu1.DataFieldParentID = "ParentID"
            RadMenu1.DataTextField = "Text"
            RadMenu1.DataNavigateUrlField = "URL"
            RadMenu1.DataBind()

            'Panelbar  
            RadPanelbar1.DataSource = CreateTestTable()
            RadPanelbar1.DataFieldID = "ID"
            RadPanelbar1.DataFieldParentID = "ParentID"
            RadPanelbar1.DataTextField = "Text"
            RadPanelbar1.DataNavigateUrlField = "URL"
            RadPanelbar1.DataBind()

            'Tabstrip   
            RadTabStrip1.DataSource = CreateTestTable()
            RadTabStrip1.DataFieldID = "ID"
            RadTabStrip1.DataFieldParentID = "ParentID"
            RadTabStrip1.DataTextField = "Text"
            RadTabStrip1.DataNavigateUrlField = "URL"
            RadTabStrip1.DataBind()

            'Treeview   
            RadTreeView1.DataSource = CreateTestTable()
            RadTreeView1.DataFieldID = "ID"
            RadTreeView1.DataFieldParentID = "ParentID"
            RadTreeView1.DataTextField = "Text"
            RadTreeView1.DataNavigateUrlField = "URL"
            RadTreeView1.DataBind()
        End If
    End Sub

    Protected Sub RadMenu1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.RadMenuEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.Item.DataItem, DataRowView)
        e.Item.ToolTip = row("Tooltip").ToString()

        'Overwrite already bound properties. For example, remove the url for all root items:
        If e.Item.Level = 0 Then
            e.Item.NavigateUrl = ""
        End If
    End Sub 'RadMenu1_ItemDataBound

    Protected Sub RadPanelbar1_ItemDataBound(ByVal sender As Object, ByVal e As RadPanelbarEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.Item.DataItem, DataRowView)
        e.Item.ToolTip = row("Tooltip").ToString()
    End Sub 'RadPanelbar1_ItemDataBound

    Protected Sub RadPanelbar1_DataBound(ByVal sender As Object, ByVal e As EventArgs)
        'Overwrite already bound properties. For example, remove the url for all non-leaf items:
        Dim item1 As RadPanelItem
        For Each item1 In RadPanelbar1.GetAllItems()
            If item1.Items.Count > 0 Then
                item1.NavigateUrl = ""
            End If
        Next item1
    End Sub 'RadPanelbar1_DataBound
    'We use the DataBound event because in ItemDataBoundEvent Items.Count may be "0" for non-leaf items. 
    Protected Sub RadTabStrip1_TabDataBound(ByVal sender As Object, ByVal e As TabStripEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.Tab.DataItem, DataRowView)
        e.Tab.ToolTip = row("Tooltip").ToString()
    End Sub 'RadTabStrip1_TabDataBound

    Protected Sub RadTabStrip1_DataBound(ByVal sender As Object, ByVal e As EventArgs)
        'Overwrite already bound properties. For example, remove the url for all non-leaf items:       
        Dim tab1 As Tab
        For Each tab1 In RadTabStrip1.GetAllTabs()
            If tab1.Tabs.Count > 0 Then
                tab1.NavigateUrl = ""
            End If
        Next tab1
    End Sub 'RadTabStrip1_DataBound
    'We use the DataBound event because in ItemDataBoundEvent Tabs.Count may be "0" for non-leaf tabs. 
    Protected Sub RadTreeView1_NodeBound(ByVal o As Object, ByVal e As RadTreeNodeEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.NodeBound.DataItem, DataRowView)
        e.NodeBound.ToolTip = row("Tooltip").ToString()

        'Overwrite already bound properties. For example, remove the url for all root nodes:
        If e.NodeBound.Level = 0 Then
            e.NodeBound.NavigateUrl = ""
        End If
    End Sub 'RadTreeView1_NodeBound
End Class
